## org.eclipse.amp.amf.gen.ext
Class ExtGenActivator

    java.lang.Object
      Plugin
          org.eclipse.amp.amf.gen.ext.ExtGenActivator

    public class ExtGenActivator

extends Plugin

The activator class controls the plug-in life cycle

Field Summary
`private static ExtGenActivator` `plugin`
`static java.lang.String` `PLUGIN_ID`

Constructor Summary
`ExtGenActivator()`

Method Summary
`static ExtGenActivator` `getDefault()` Returns the shared instance
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### plugin

    private static ExtGenActivator plugin

Constructor Detail

### ExtGenActivator

    public ExtGenActivator()

Method Detail

### start

    public void start(BundleContext context)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDefault

    public static ExtGenActivator getDefault()

  Returns the shared instance

  Returns:
    the shared instance

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors